Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

We have installed 11.04 32-bit on an old machine that has no internet connection and with a graphics card that is not suitable for running Compiz or Unity. Still, we would like to run Unity-2D on this machine.

We are aware of answers to this Question. Sadly Keryx will not run on 11.04 32-bit because of unmet dependencies. Building an offline repository is not an option because of limited storage capacity.

Is there any convenient other way to find, download, install, and eventually update unity-2 and all dependencies (preferably from an OS independent download path)?

share|improve this question

2 Answers 2

up vote 2 down vote accepted

Well I am using 11.04 and keryx after you pointed me to the link. Thanks by the way. Did a bit googling and found keryx ppa which is for lucid. Basically installed debian package presented there. It's running on 11.04 so may be you could try that.

share|improve this answer
    
Thank you for the link to the deb. Still, this will not allow installation of Keryx on this vanilla 11.04 because of unmet dependencies from python. –  Takkat May 5 '11 at 10:45
    
I'd say install the dependencies by hand, python.org/download/releases/2.7.1 if you need python 2.7 –  DemonWareXT May 5 '11 at 14:18
    
Keryx depends on python << 2.7 and will not run with python 2.7 when forced to install. That is a problem in 11.04. There are other unmet dependencies too. –  Takkat May 5 '11 at 18:00
    
you can try installing python2.6-minimal package and see. I have installed keryx from deb and viewed its dependencies on the python part it doesnot say which version while it depends on wxpython and python-support as well –  sagarchalise May 6 '11 at 3:49
    
then install an older version python.org/download/releases/2.6.6 –  DemonWareXT May 6 '11 at 5:55

I'm not sure ,because it's repository from indonesia, Apt-web type what you want and it comes up with all dependencies

share|improve this answer
    
works like a charm - very nice! –  Takkat Jun 25 '11 at 15:27
    
proud to be indonesian –  dmzz94 Jun 25 '11 at 16:47

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.